(*****************************************************************************)
(* MODULE: BTRCOMP*                                                          *)
(* RIGHTS: Reggatta Systems, Inc. - COPYRIGHT 1995 - 2002                    *)
(* DESCR.: This module contains the property editors and registration code   *)
(*****************************************************************************)
Unit BtrComp;
{$I BSE.INC}
{$I BAPI.INC}
Interface
Uses
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs;

Procedure Register;

implementation
Uses
  DesignIntf,
  DesignEditors,
  Db,
  BseComp,
  BseTable,
  BseMain,

  BtrDump,
  SqlApi,
  BtrMain;

Type
  TtbSessionNamePropertyEditor =
  Class( TttStringPropertyEditor )
    Public
      Procedure GetValueList( List : TStrings  ); Override;
  end;

Procedure TtbSessionNamePropertyEditor.GetValueList( List : TStrings );
begin
  TbSessions.GetSessionNames( List );
end;



procedure Register;
begin
  RegisterBasePropertyEditors;
  RegisterComponents( 'Titan for Btrieve', [ TtbTable,
    TtbQuery, TtbStoredProc,
    TtbDatabase, TtbSession, TtbHexDump
    ,TtbDBLookupList, TtbDBLookupCombo
  ] );

  RegisterPropertyEditor( TypeInfo( string ), TtbDatabase,   'SessionName',  TtbSessionNamePropertyEditor  );
  RegisterPropertyEditor( TypeInfo( string ), TtbTable,      'SessionName',  TtbSessionNamePropertyEditor  );
  RegisterPropertyEditor( TypeInfo( string ), TtbQuery,      'SessionName',  TtbSessionNamePropertyEditor  );
  RegisterPropertyEditor( TypeInfo( string ), TtbStoredProc, 'SessionName',  TtbSessionNamePropertyEditor  );
end;

end.
